/* 
 * program do rysowania wykresow dowolnych funkcji
 *
 * Autor: Marek Szyprowski <marek@amiga.pl>
 *
 * PlotXY v1.3
 */
 
#include <stdio.h>

#define VERSION "PlotXY v1.3 (02.05.2003) by Marek Szyprowski <marek@amiga.pl>"
#define FUNKCJA "x^3 - 3*x - 20"
 
/* */
char *getline (void)
{
	static char line[0xff];
	char *s = line;
	int c;
	while ((c = getchar()) != '\n' && c != EOF)
	*s++ = c;
	*s = '\0';
	return line;
}
/* */

int main (int argc, char *argv[])
{
	char *p, *res;
	char cmd[0xff] = "plot.exe \"";
	char *funkcja = FUNKCJA;
		
	printf(VERSION "\nProgram rysuje wykres dowolnej funkcji\n\n");

	if (argc == 2)
		funkcja = argv[1];
	else
	{
		printf("Wprowadz wzor funkcji (ENTER -> \"f(x) = %s\")\nf(x) = ", funkcja);
		p = getline();
		if (*p != '\0')
			funkcja = p;
	}

	strcat(cmd, funkcja);
	strcat(cmd, "\"");
	
	printf("Wprowadzono funkcj:\nf(x) = %s\n\n", funkcja);

	system(cmd);

	return 0;
}
