/*
 * Funkcje zamieniajce zapis tradycyjny na odwrotn notacj polsk
 *
 *   rpn.h v1.0 (23.11.2002) by Marek Szyprowski <marek@amiga.pl>
 *
 */

#define CONV_STACK_LEN 128
#define EVAL_STACK_LEN 128
#define TEMP_ARRAY_LEN 256

struct token {
	union {
		double val;
		struct op *op;
		} val; 
	int type;
	};

typedef struct token Token;

enum Types {End, Number, Operator, Variable, Lparenth, Rparenth, Unknown};

void str2tokens (char *str, struct token *ta);
void std2rpn (struct token *src, struct token *dst);
double eval_rpn(struct token *data);
int checkpar_str(char *str);
int check_unk(struct token *data);
int check_rpn(struct token *data);
char *str2rpn(char *src, struct token *dst);

#ifndef OK
#define OK 1
#endif

#ifndef ERROR
#define ERROR 0
#endif

